summaryrefslogtreecommitdiffstats
path: root/xdm/buttons
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-11-28 01:52:06 +0100
committer Eric Hameleers <alien@slackware.com>2015-11-28 01:52:06 +0100
commit4d5cdc379e338c1c28f4d7d09226d4167a3f9e1e (patch)
tree95eba4e47f473c238361f19750cbd7d392a333e1 /xdm/buttons
downloadliveslak-4d5cdc379e338c1c28f4d7d09226d4167a3f9e1e.tar.gz
liveslak-4d5cdc379e338c1c28f4d7d09226d4167a3f9e1e.tar.xz
Slackware Live Edition: initial commit.Beta2
This is Beta 2. Read http://alien.slackbook.org/blog/slackware-live-edition-beta-2 for all the details.
Diffstat (limited to 'xdm/buttons')
-rwxr-xr-xxdm/buttons15
1 files changed, 15 insertions, 0 deletions
diff --git a/xdm/buttons b/xdm/buttons
new file mode 100755
index 0000000..c50acf7
--- /dev/null
+++ b/xdm/buttons
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if which xmessage >> /dev/null 2>&1; then
+ xmessage -buttons reboot,halt "$@" "";
+
+ case "$?" in
+ 101)
+ /sbin/reboot
+ ;;
+ 102)
+ /sbin/poweroff
+ ;;
+ esac
+fi
+